Name: H5Aget_num_attrs
Signature:
  int `H5Aget_num_attrs`(hid_t `loc_id`)
Purpose:
  Determines the number of attributes attached to an object.
Description:
  `H5Aget_num_attrs` returns the number of attributes attached to the object specified by its identifier, `loc_id`. The object can be a group, dataset, or named datatype.
Parameters:

hid_t `loc_id` | IN: Identifier of a group, dataset, or named datatype.

Returns:
  Returns the number of attributes if successful; otherwise returns a negative value.
Fortran90 Interface: h5aget_num_attrs_f

      SUBROUTINE h5aget_num_attrs_f(obj_id, attr_num, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: obj_id  ! Object identifier
        INTEGER, INTENT(OUT) :: attr_num      ! Number of attributes of the object
        INTEGER, INTENT(OUT) :: hdferr        ! Error code:
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5aget_num_attrs_f